> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/pipeline/nodes/add-source/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Add source POST https://api.mezmo.com/v3/pipeline/{pipeline_id}/source Content-Type: application/json Adds a source to a pipeline Reference: https://mezmo.ferndocs.com/api-reference/pipeline/nodes/add-source ## Authentication - `Authorization` header (required) (prefixed with ` Token `) — Header authentication of the form `Token ` ## Request ### Path parameters - `pipeline_id` (string, required) ### Body (application/json) This endpoint expects an object. - `type` (enum, required) - Allowed values: `http`, `splunk-hec`, `s3`, `sqs`, `demo-logs`, `kinesis-firehose`, `fluent`, `log-analysis`, `log-analysis-ingestion`, `logstash`, `mezmo-agent`, `mezmo-datadog-source`, `pipeline-data-restoration`, `webhook`, `kafka`, `azure-event-hub`, `prometheus-remote-write`, `open-telemetry-metrics`, `open-telemetry-logs`, `open-telemetry-traces` - `user_config` (PipelinePipelineIdSourcePostRequestBodyContentApplicationJsonSchemaUserConfig, required) - `deploy_type` (enum, optional, default: saas) - Allowed values: `saas`, `local` - `title` (string, optional, nullable) - `description` (string, optional, nullable) - `gateway_route_id` (string, optional) ## Response ### 200 Default Response ## Types ### PipelinePipelineIdSourcePostRequestBodyContentApplicationJsonSchemaUserConfig ## Examples **Request** ```json { "type": "http" } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v3/pipeline/pipeline_id/source" payload = { "type": "http" } headers = { "Authorization": "Token ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v3/pipeline/pipeline_id/source'; const options = { method: 'POST', headers: { Authorization: 'Token ', 'Content-Type': 'application/json' }, body: '{"type":"http"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v3/pipeline/pipeline_id/source" payload := strings.NewReader("{\n \"type\": \"http\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Token ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v3/pipeline/pipeline_id/source") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Token ' request["Content-Type"] = 'application/json' request.body = "{\n \"type\": \"http\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mezmo.com/v3/pipeline/pipeline_id/source") .header("Authorization", "Token ") .header("Content-Type", "application/json") .body("{\n \"type\": \"http\"\n}") .asString(); ``` ```php request('POST', 'https://api.mezmo.com/v3/pipeline/pipeline_id/source', [ 'body' => '{ "type": "http" }', 'headers' => [ 'Authorization' => 'Token ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v3/pipeline/pipeline_id/source"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Token "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"type\": \"http\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Token ", "Content-Type": "application/json" ] let parameters = ["type": "http"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/pipeline_id/source")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```